//
// Generated stub from file:/buildfactory/kundo/hudson/jobs/Release-Kundo_Plug-ins/workspace/plugins/target/checkout/plugins/kundo-resource-plugin/src/main/groovy/org/openscm/kundo/plugins/AbstractResourceDelegate.groovy
//

package org.openscm.kundo.plugins;

import java.lang.*;
import java.io.*;
import java.net.*;
import java.util.*;
import groovy.lang.*;
import groovy.util.*;
import org.openscm.kundo.plugins.context.BuildContext;

/**
 * Abstract Resource Delegate
 *
 * @author <a href="mailto:nigel.garner@upco.co.uk">Nigel Garner</a>
 * @version 1.0.0

Description: A Resource Delegate to manage the resource files specified in the project metadata.

<p>The resource delegate consumes data set by the kundo-project-plugin and uses each resource set. The delegate
copies the files from the specified dir to the appropriate output dir, applying any include/exclude filters in the process.</p>
 */
abstract public class AbstractResourceDelegate
    extends AbstractPluginTargetDelegate
{
    protected java.lang.String key = null;

    protected java.lang.String overwrite = null;

    protected java.lang.String includeEmptyDirs = null;

    protected java.lang.String preserveLastModified = null;

    protected java.lang.String failOnError = null;

    protected java.lang.String verbose = null;

    private AbstractResourceDelegate(java.lang.Void void1, java.lang.Void void2, java.lang.Void void3) {
        super((AntBuilder)null, (BuildContext)null);

        throw new InternalError("Stubbed method");
    }

    /**
     * Constructor sets ant and buildContext instances in super class
     *
     * @param ant AntBuilder instance
     * @param buildContext BuildContext instance
     */
    public AbstractResourceDelegate(AntBuilder ant, BuildContext buildContext) {
        this((java.lang.Void)null, (java.lang.Void)null, (java.lang.Void)null);
        throw new InternalError("Stubbed method");
    }

    /**
     * Implementation of abstract method from AbstractPluginTargetDelegate
     * to hold assertions that all global and local properties are available to the plugin.
     * This method is automatically called prior to execution.
     */
    public void doCheck() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable key.
     *
     * @param key String representation the resource groupid key.
     */
    public void setKey(java.lang.String key) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable overwrite.
     *
     * @param overwrite String representation of whether files should be overwritten.
     */
    public void setOverwrite(java.lang.String overwrite) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable includeEmptyDirs.
     *
     * @param includeEmptyDirs String representation of whether empty directories should be included.
     */
    public void setIncludeEmptyDirs(java.lang.String includeEmptyDirs) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable preserveLastModified.
     *
     * @param preserveLastModified String representation of whether last modified files should be preserved.
     */
    public void setPreserveLastModified(java.lang.String preserveLastModified) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable failOnError.
     *
     * @param failOnError String representation of whether the build should fail if there is an error in copying.
     */
    public void setFailOnError(java.lang.String failOnError) {
        throw new InternalError("Stubbed method");
    }

    /**
     * Setter method for member variable verbose.
     *
     * @param verbose String representation of whether the copy output should be verbose.
     */
    public void setVerbose(java.lang.String verbose) {
        throw new InternalError("Stubbed method");
    }

    public void doResources() {
        throw new InternalError("Stubbed method");
    }

    /**
     * Concrete implementation of the AbstractDelegate.execute() method
     */
    public void doExecute() {
        throw new InternalError("Stubbed method");
    }

    public groovy.lang.MetaClass getMetaClass() {
        throw new InternalError("Stubbed method");
    }

    public void setMetaClass(groovy.lang.MetaClass metaClass) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args) {
        throw new InternalError("Stubbed method");
    }

    public java.lang.Object getProperty(java.lang.String name) {
        throw new InternalError("Stubbed method");
    }

    public void setProperty(java.lang.String name, java.lang.Object value) {
        throw new InternalError("Stubbed method");
    }
}
